package com.dgtly.system.domain;


import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class DeliverOrderBase {

	private Long id;

	private String createBy;

	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	private String updateBy;

	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

	private String isDelete;

	private String OrderNumber;

	private String orderCreationTime;

	private String deliveryNumber;

	private String shipmentNumber;

	private String belongTo;

	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date confirmTime;

	private String confirmBy;

	private String confirmNotice;

	private String pushDisWarehouse;

	private String evaluationStatus;

	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date evaluationTime;

	private String evaluationBy;

	private Integer evaluationServiceAttitude;

	private Integer evaluationDamageCondition;

	private Integer evaluationArriveTime;

	private Integer evaluationHandlingConditions;

	private String evaluation;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getIsDelete() {
		return isDelete;
	}

	public void setIsDelete(String isDelete) {
		this.isDelete = isDelete;
	}

	public String getOrderNumber() {
		return OrderNumber;
	}

	public void setOrderNumber(String orderNumber) {
		OrderNumber = orderNumber;
	}

	public String getOrderCreationTime() {
		return orderCreationTime;
	}

	public void setOrderCreationTime(String orderCreationTime) {
		this.orderCreationTime = orderCreationTime;
	}

	public String getDeliveryNumber() {
		return deliveryNumber;
	}

	public void setDeliveryNumber(String deliveryNumber) {
		this.deliveryNumber = deliveryNumber;
	}

	public String getShipmentNumber() {
		return shipmentNumber;
	}

	public void setShipmentNumber(String shipmentNumber) {
		this.shipmentNumber = shipmentNumber;
	}

	public String getBelongTo() {
		return belongTo;
	}

	public void setBelongTo(String belongTo) {
		this.belongTo = belongTo;
	}

	public Date getConfirmTime() {
		return confirmTime;
	}

	public void setConfirmTime(Date confirmTime) {
		this.confirmTime = confirmTime;
	}

	public String getConfirmBy() {
		return confirmBy;
	}

	public void setConfirmBy(String confirmBy) {
		this.confirmBy = confirmBy;
	}

	public String getConfirmNotice() {
		return confirmNotice;
	}

	public void setConfirmNotice(String confirmNotice) {
		this.confirmNotice = confirmNotice;
	}

	public String getPushDisWarehouse() {
		return pushDisWarehouse;
	}

	public void setPushDisWarehouse(String pushDisWarehouse) {
		this.pushDisWarehouse = pushDisWarehouse;
	}

	public String getEvaluationStatus() {
		return evaluationStatus;
	}

	public void setEvaluationStatus(String evaluationStatus) {
		this.evaluationStatus = evaluationStatus;
	}

	public Date getEvaluationTime() {
		return evaluationTime;
	}

	public void setEvaluationTime(Date evaluationTime) {
		this.evaluationTime = evaluationTime;
	}

	public String getEvaluationBy() {
		return evaluationBy;
	}

	public void setEvaluationBy(String evaluationBy) {
		this.evaluationBy = evaluationBy;
	}

	public Integer getEvaluationServiceAttitude() {
		return evaluationServiceAttitude;
	}

	public void setEvaluationServiceAttitude(Integer evaluationServiceAttitude) {
		this.evaluationServiceAttitude = evaluationServiceAttitude;
	}

	public Integer getEvaluationDamageCondition() {
		return evaluationDamageCondition;
	}

	public void setEvaluationDamageCondition(Integer evaluationDamageCondition) {
		this.evaluationDamageCondition = evaluationDamageCondition;
	}

	public Integer getEvaluationArriveTime() {
		return evaluationArriveTime;
	}

	public void setEvaluationArriveTime(Integer evaluationArriveTime) {
		this.evaluationArriveTime = evaluationArriveTime;
	}

	public Integer getEvaluationHandlingConditions() {
		return evaluationHandlingConditions;
	}

	public void setEvaluationHandlingConditions(Integer evaluationHandlingConditions) {
		this.evaluationHandlingConditions = evaluationHandlingConditions;
	}

	public String getEvaluation() {
		return evaluation;
	}

	public void setEvaluation(String evaluation) {
		this.evaluation = evaluation;
	}
}
